using Sirenix.OdinInspector;
using VOID.Generic.Objects.Abstract;
using VOID.Generic.Objects.Item;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Projectile.HitValidator
{
    [TypeRegistryItem("Item")]
    public class ProjectileHitItem : IProjectileHitValidator
    {
        public bool IsValid(UnitObject caster, AbstractObject target)
        {
            return target is ItemObject;
        }
    }
}